|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QExtensionManager Class Reference
[QtDesigner module]

The QExtensionManager class provides extension management facilities for Qt Designer. More...

    #include <QExtensionManager>

Inherits QObject and QAbstractExtensionManager.

- List of all members, including inherited members

### Public Functions

- QExtensionManager ( QObject * parent = 0 )
- virtual QObject * extension ( QObject * object, const QString & iid ) const
- virtual void registerExtensions ( QAbstractExtensionFactory * factory, const QString & iid = QString() )
- virtual void unregisterExtensions ( QAbstractExtensionFactory * factory, const QString & iid = QString() )

- 28 public functions inherited from QObject
- 3 public functions inherited from QAbstractExtensionManager

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QExtensionManager class provides extension management facilities for Qt Designer.

## Member Function Documentation

### QExtensionManager::QExtensionManager ( QObject * parent = 0 )

Constructs an extenstion manager with the given parent.

### QObject * QExtensionManager::extension ( QObject * object, const QString & iid ) const `[virtual]`

Returns the extension for the given object with the identifier specified by iid.

Reimplemented from QAbstractExtensionManager.

### void QExtensionManager::registerExtensions ( QAbstractExtensionFactory * factory, const QString & iid = QString() ) `[virtual]`

Register factory as an extension factory with an identifier specified by iid.

Reimplemented from QAbstractExtensionManager.

### void QExtensionManager::unregisterExtensions ( QAbstractExtensionFactory * factory, const QString & iid = QString() ) `[virtual]`

Unregister the factory with the identifier specified by iid.

Reimplemented from QAbstractExtensionManager.